#ifndef DECORATIVEOBJECT_HPP_INCLUDED
#define DECORATIVEOBJECT_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

namespace Internal
{
    class DecorativeObject : public Object
    {
        public:
            DecorativeObject();
            DecorativeObject(const void* Obj);
            DecorativeObject(const DecorativeObject& D);
            static Class GetClass();

            std::int32_t GetAngle() const;
            std::int32_t GetFlags() const;
            std::int64_t GetHash() const;
            std::int32_t GetOffsetX() const;
            std::int32_t GetOffsetY() const;
            std::int32_t GetRenderInfo() const;
            Renderable GetRenderable() const;
            std::int32_t GetX() const;
            std::int32_t GetY() const;
            std::int32_t GetZ() const;

    };
}

#endif // DECORATIVEOBJECT_HPP_INCLUDED
